## net.sf.statcvs.pages.xml
Class FilesXml

    java.lang.Object
      net.sf.statcvs.pages.xml.FilesXml

    public class FilesXml

extends java.lang.Object

Constructor Summary
`FilesXml(ReportConfig config)`

Method Summary
`org.jdom.Element` `largestFiles()` returns jdom element which contains data of the largest files in terms of LOC of the repository
`org.jdom.Element` `mostRevs()` returns jdom element which contains data of the files with most revisions
`org.jdom.Element` `toFile()` returns jdom element which contains data regarding the files of the repository

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilesXml

    public FilesXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

Method Detail

### toFile

    public org.jdom.Element toFile()

  returns jdom element which contains data regarding the files of the repository

### largestFiles

    public org.jdom.Element largestFiles()

  returns jdom element which contains data of the largest files in terms of LOC of the repository

### mostRevs

    public org.jdom.Element mostRevs()

  returns jdom element which contains data of the files with most revisions